import request from '@/utils/request'

// 查询党员关系转移记录列表
export function listTransfer(query) {
  return request({
    url: '/branch/transfer/list',
    method: 'get',
    params: query
  })
}

// 查询党员关系转移记录详细
export function getTransfer(transferId) {
  return request({
    url: '/branch/transfer/' + transferId,
    method: 'get'
  })
}

// 新增党员关系转移记录
export function addTransfer(data) {
  return request({
    url: '/branch/transfer',
    method: 'post',
    data: data
  })
}

// 修改党员关系转移记录
export function updateTransfer(data) {
  return request({
    url: '/branch/transfer',
    method: 'put',
    data: data
  })
}

// 删除党员关系转移记录
export function delTransfer(transferId) {
  return request({
    url: '/branch/transfer/' + transferId,
    method: 'delete'
  })
}
